## ev-document-info

ev-document-info

## Functions

EvDocumentInfo * | ev_document_info_copy ()
void | ev_document_info_free ()
EvDocumentLicense * | ev_document_license_new ()
EvDocumentLicense * | ev_document_license_copy ()
void | ev_document_license_free ()
const gchar * | ev_document_license_get_text ()
const gchar * | ev_document_license_get_uri ()
const gchar * | ev_document_license_get_web_statement ()
GType | ev_document_error_get_type ()

## Types and Values

struct | EvDocumentInfo
struct | EvDocumentLicense
enum | EvDocumentLayout
enum | EvDocumentMode
enum | EvDocumentUIHints
enum | EvDocumentPermissions
enum | EvDocumentInfoFields

## Object Hierarchy

        GBoxed
        ├── EvDocumentInfo
        ╰── EvDocumentLicense
        GEnum
        ├── EvDocumentLayout
        ╰── EvDocumentMode
        GFlags
        ├── EvDocumentInfoFields
        ├── EvDocumentPermissions
        ╰── EvDocumentUIHints

## Description

## Functions

### ev_document_info_copy ()

    EvDocumentInfo *
    ev_document_info_copy (EvDocumentInfo *info);

#### Returns

### ev_document_info_free ()

    void
    ev_document_info_free (EvDocumentInfo *info);

### ev_document_license_new ()

    EvDocumentLicense *
    ev_document_license_new (void);

### ev_document_license_copy ()

    EvDocumentLicense *
    ev_document_license_copy (EvDocumentLicense *license);

### ev_document_license_free ()

    void
    ev_document_license_free (EvDocumentLicense *license);

### ev_document_license_get_text ()

    const gchar *
    ev_document_license_get_text (EvDocumentLicense *license);

### ev_document_license_get_uri ()

    const gchar *
    ev_document_license_get_uri (EvDocumentLicense *license);

### ev_document_license_get_web_statement ()

    const gchar *
    ev_document_license_get_web_statement (EvDocumentLicense *license);

### ev_document_error_get_type ()

    GType
    ev_document_error_get_type (void);

## Types and Values

### struct EvDocumentInfo

    struct EvDocumentInfo {
    	char *title;
    	char *format; /* eg, "pdf-1.5" */
    	char *author;
    	char *subject;
    	char *keywords;
    	char *creator;
    	char *producer;
    	char *linearized;
            char *security;
    	GTime creation_date;
    	GTime modified_date;
    	EvDocumentLayout layout;
    	EvDocumentMode mode;
    	guint ui_hints;
    	guint permissions;
    	int   n_pages;
    	double paper_height;
    	double paper_width;
    	EvDocumentLicense *license;

    	/* Mask of all the valid fields */
    	guint fields_mask;
    };

### struct EvDocumentLicense

    struct EvDocumentLicense {
    	gchar *text;
    	gchar *uri;
    	gchar *web_statement;
    };

### enum EvDocumentLayout

#### Members

EV_DOCUMENT_LAYOUT_SINGLE_PAGE |  |
EV_DOCUMENT_LAYOUT_ONE_COLUMN |  |
EV_DOCUMENT_LAYOUT_TWO_COLUMN_LEFT |  |
EV_DOCUMENT_LAYOUT_TWO_COLUMN_RIGHT |  |
EV_DOCUMENT_LAYOUT_TWO_PAGE_LEFT |  |
EV_DOCUMENT_LAYOUT_TWO_PAGE_RIGHT |  |

### enum EvDocumentMode

#### Members

EV_DOCUMENT_MODE_NONE |  |
EV_DOCUMENT_MODE_USE_OC |  |
EV_DOCUMENT_MODE_USE_THUMBS |  |
EV_DOCUMENT_MODE_FULL_SCREEN |  |
EV_DOCUMENT_MODE_USE_ATTACHMENTS |  |
EV_DOCUMENT_MODE_PRESENTATION |  |

### enum EvDocumentUIHints

#### Members

EV_DOCUMENT_UI_HINT_HIDE_TOOLBAR |  |
EV_DOCUMENT_UI_HINT_HIDE_MENUBAR |  |
EV_DOCUMENT_UI_HINT_HIDE_WINDOWUI |  |
EV_DOCUMENT_UI_HINT_FIT_WINDOW |  |
EV_DOCUMENT_UI_HINT_CENTER_WINDOW |  |
EV_DOCUMENT_UI_HINT_DISPLAY_DOC_TITLE |  |
EV_DOCUMENT_UI_HINT_DIRECTION_RTL |  |

### enum EvDocumentPermissions

#### Members

EV_DOCUMENT_PERMISSIONS_OK_TO_PRINT |  |
EV_DOCUMENT_PERMISSIONS_OK_TO_MODIFY |  |
EV_DOCUMENT_PERMISSIONS_OK_TO_COPY |  |
EV_DOCUMENT_PERMISSIONS_OK_TO_ADD_NOTES |  |
EV_DOCUMENT_PERMISSIONS_FULL |  |

### enum EvDocumentInfoFields

#### Members

EV_DOCUMENT_INFO_TITLE |  |
EV_DOCUMENT_INFO_FORMAT |  |
EV_DOCUMENT_INFO_AUTHOR |  |
EV_DOCUMENT_INFO_SUBJECT |  |
EV_DOCUMENT_INFO_KEYWORDS |  |
EV_DOCUMENT_INFO_LAYOUT |  |
EV_DOCUMENT_INFO_CREATOR |  |
EV_DOCUMENT_INFO_PRODUCER |  |
EV_DOCUMENT_INFO_CREATION_DATE |  |
EV_DOCUMENT_INFO_MOD_DATE |  |
EV_DOCUMENT_INFO_LINEARIZED |  |
EV_DOCUMENT_INFO_START_MODE |  |
EV_DOCUMENT_INFO_UI_HINTS |  |
EV_DOCUMENT_INFO_PERMISSIONS |  |
EV_DOCUMENT_INFO_N_PAGES |  |
EV_DOCUMENT_INFO_SECURITY |  |
EV_DOCUMENT_INFO_PAPER_SIZE |  |
EV_DOCUMENT_INFO_LICENSE |  |